// *************************************************************************************************************************************************
//	Libreria de scripts de Javascript
// Copyright 2003-2005  Jos Manuel Alonso. Todos los derechos reservados.
// Fecha Creacin:2003-2004
// Fecha ltima modificacin: Febrero-2005
// Nombre del fichero: propiedades_ordenadores.js
// Descripcin : 
//		Este fichero implementa las funciones javascript del fichero propiedades_ordenadores.php
// *************************************************************************************************************************************************
//________________________________________________________________________________________________________
//	
//	Cancela la edicin 
//________________________________________________________________________________________________________
function cancelar(){
	window.returnValue=null
	self.close();
}
//________________________________________________________________________________________________________
//	
//	Confirma la edicin 
//________________________________________________________________________________________________________
function confirmar(op){
	var opcion=op;
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	var wurl="../gestores/gestor_ordenadores.php?opcion="+opcion
	if (opcion!=op_eliminacion){
		if(!comprobar_datos()) return
		var valor
		var o
		var nit=document.forms("fdatos").length // Prepara la cadena de parmetros metodo get
		for (i=0;i<nit;i++){
			o=document.forms("fdatos").item(i)
			valor=o.value
			if (valor=="on") {
					if(o.checked ) 
						valor=1; 
					else 
						valor=0
			}
			wurl+="&"+o.name+"="+valor
		}
	}
	else
		wurl+="&idordenador="+document.fdatos.idordenador.value
	ifr.src=wurl; // LLama a la pgina gestora
}
//________________________________________________________________________________________________________
//	
//	Comprobar_datos 
//________________________________________________________________________________________________________
function comprobar_datos(){
	if (document.fdatos.nombreordenador.value=="") {
		alert(TbMsg[0]);
		document.fdatos.nombreordenador.focus();
		return(false);
	}
	if (document.fdatos.ip.value=="") {
		alert(TbMsg[1]);
		document.fdatos.ip.focus();
		return(false);
	}
	if (document.fdatos.mac.value=="") {
		alert(TbMsg[2]);
		document.fdatos.mac.focus();
		return(false);
	}
	var  p=document.fdatos.idperfilhard.selectedIndex
	 if (p==0){  
         alert(TbMsg[3])
         document.forms.fdatos.idperfilhard.focus()
         return(false)
	}
	var  p=document.fdatos.idservidordhcp.selectedIndex
	 if (p==0){  
         alert(TbMsg[4])
         document.forms.fdatos.idservidordhcp.focus()
         return(false)
	}
	var  p=document.fdatos.idservidorrembo.selectedIndex
	 if (p==0){  
         alert(TbMsg[5])
         document.forms.fdatos.idservidorrembo.focus()
         return(false)
	}
	return(true);
}
//________________________________________________________________________________________________________
//	
// Devuelve el resultado de insertar un nuevo ordenador en la base de datos a traves del IFRAME
// Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin (true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- nwid: Identificador asignado al nuevo registro
//			- tablanodo: Tabla nodo generada para el nuevo registro (rbol de un slo un elemento)
//________________________________________________________________________________________________________
function resultado_insertar_ordenadores(resul,descrierror,nwid,tablanodo){
	valorretorno=resul+"\t"+descrierror+"\t"+nwid+"\t"+tablanodo
	window.returnValue=valorretorno;
	self.close();
}
//________________________________________________________________________________________________________
//	
//		Devuelve el resultado de modificarlos datos de un ordenador a traves del IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//________________________________________________________________________________________________________
function resultado_modificar_ordenadores(resul,descrierror,id){
	valorretorno=resul+"\t"+descrierror+"\t"+document.fdatos.nombreordenador.value+"\t"+id
	valorretorno+="\t"+document.fdatos.ip.value+"\t"+document.fdatos.mac.value
	window.returnValue=valorretorno;
	self.close();
}
//________________________________________________________________________________________________________
//	
//		Devuelve el resultado de eliminar el literal de un ordenador a traves del IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//________________________________________________________________________________________________________
function resultado_eliminar_ordenadores(resul,descrierror,id){
	valorretorno=resul+"\t"+descrierror+"\t"+id
	window.returnValue=valorretorno;
	self.close();
}