// *******************************************************************************
//	Libreria de scripts de Javascript
// Copyright 2003-2005 -2005  Jos Manuel Alonso. Todos los derechos reservados.
// Fichero: propiedades_comandos.js
// Este fichero implementa las funciones javascript del fichero propiedades_comandos.php
// *******************************************************************************
var op_alta=1;
var op_modificacion=2;
var op_eliminacion=3;

TbMsg=new Array;
TbMsg[0]="You must introduce a command name";

//____________________________________________________________________________
//	
//	Cancela la edicin 
//____________________________________________________________________________
function cancelar(){
	window.returnValue=null
	self.close();
}
//____________________________________________________________________________
//	
//	Confirma la edicin 
//____________________________________________________________________________
function confirmar(op){
	var opcion=op;
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	var wurl="../gestores/gestor_comandos.php?opcion="+opcion
	if (opcion!=op_eliminacion){
		if(!comprobar_datos()) return
		var valor
		var o
		var nit=document.forms("fdatos").length // Prepara la cadena de parmetros metodo get
		for (i=0;i<nit;i++){
			o=document.forms("fdatos").item(i)
			valor=o.value
			if (valor=="on") {
					if(o.checked ) 
						valor=1; 
					else 
						valor=0
			}
			wurl+="&"+o.name+"="+valor
		}
	}
	else{
		wurl+="&idcomando="+document.fdatos.idcomando.value
	}
	ifr.src=wurl; // LLama a la pgina gestora
}
//____________________________________________________________________________
//	
//	Comprobar_datos 
//____________________________________________________________________________
function comprobar_datos(){
	if (document.fdatos.descripcion.value=="") {
		alert(TbMsg[0]);
		document.fdatos.descripcion.focus();
		return(false);
	}
	return(true);
}
//____________________________________________________________________________
//	
// Devuelve el resultado de insertar un nuev perfil software en la base de datos a traves del IFRAME
// Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin (true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- nwid: Identificador asignado al nuevo registro
//			- tablanodo: Tabla nodo generada para el nuevo registro (rbol de un slo un elemento)
//____________________________________________________________________________
function resultado_insertar_comandos(resul,descrierror,nwid,tablanodo){
	valorretorno=resul+"\t"+descrierror+"\t"+nwid+"\t"+tablanodo
	window.returnValue=valorretorno;
	self.close();
}
//____________________________________________________________________________
//	
//		Devuelve el resultado de modificar algn dato de un perfil software a traves del IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//____________________________________________________________________________
function resultado_modificar_comandos(resul,descrierror,id){
	valorretorno=resul+"\t"+descrierror+"\t"+document.fdatos.descripcion.value
	window.returnValue=valorretorno;
	self.close();
}
//____________________________________________________________________________
//	
//		Devuelve el resultado de eliminar el un perfil software a traves del IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//____________________________________________________________________________
function resultado_eliminar_comandos(resul,descrierror,id){
	valorretorno=resul+"\t"+descrierror+"\t"+id
	window.returnValue=valorretorno;
	self.close();
}