// *****************************************************************************************************************************************************
//	Libreria de scripts de Javascript
// Copyright 2003-2005  Jos Manuel Alonso. Todos los derechos reservados.
// Fecha Creacin:2003-2004
// Fecha ltima modificacin: Marzo-2005
// Nombre del fichero: propiedades_perfilsoftwares.js
// Descripcin : 
//		Este fichero implementa las funciones javascript del fichero propiedades_perfilsoftwares.php
// *****************************************************************************************************************************************************
//___________________________________________________________________________________________________________
//	
//	Cancela la edicin 
//___________________________________________________________________________________________________________
function cancelar(){
	window.returnValue=null
	self.close();
}
//___________________________________________________________________________________________________________
//	
//	Confirma la edicin 
//___________________________________________________________________________________________________________
function confirmar(op){
	var opcion=op;
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	var wurl="../gestores/gestor_perfilsoftwares.php?opcion="+opcion
	if (opcion!=op_eliminacion){
		if(!comprobar_datos()) return
		var valor
		var o
		var nit=document.forms("fdatos").length // Prepara la cadena de parmetros metodo get
		for (i=0;i<nit;i++){
			o=document.forms("fdatos").item(i)
			valor=o.value
			if (valor=="on") {
					if(o.checked ) 
						valor=1; 
					else 
						valor=0
			}
			wurl+="&"+o.name+"="+valor
		}
	}
	else{
		var numo=parseInt(document.fdatos.imagenes.value)
		if (numo>0){
			alert(TbMsg[1]);
			return
		}
		wurl+="&idperfilsoft="+document.fdatos.idperfilsoft.value
	}
	ifr.src=wurl; // LLama a la pgina gestora
}
//___________________________________________________________________________________________________________
//	
//	Comprobar_datos 
//___________________________________________________________________________________________________________
function comprobar_datos(){
	if (document.fdatos.descripcion.value=="") {
		alert(TbMsg[0]);
		document.fdatos.descripcion.focus();
		return(false);
	}
	return(true);
}
//___________________________________________________________________________________________________________
//	
// Devuelve el resultado de insertar un nuevo perfil software en la base de datos a traves del IFRAME
// Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin (true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- nwid: Identificador asignado al nuevo registro
//			- tablanodo: Tabla nodo generada para el nuevo registro (rbol de un slo un elemento)
//___________________________________________________________________________________________________________
function resultado_insertar_perfilsoftwares(resul,descrierror,nwid,tablanodo){
	valorretorno=resul+"\t"+descrierror+"\t"+nwid+"\t"+tablanodo
	window.returnValue=valorretorno;
	self.close();
}
//___________________________________________________________________________________________________________
//	
//		Devuelve el resultado de modificar algn dato de un perfil software a traves del IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//___________________________________________________________________________________________________________
function resultado_modificar_perfilsoftwares(resul,descrierror,id){
	valorretorno=resul+"\t"+descrierror+"\t"+document.fdatos.descripcion.value
	window.returnValue=valorretorno;
	self.close();
}
//___________________________________________________________________________________________________________
//	
//		Devuelve el resultado de eliminar un perfil software a traves del IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//___________________________________________________________________________________________________________
function resultado_eliminar_perfilsoftwares(resul,descrierror,id){
	valorretorno=resul+"\t"+descrierror+"\t"+id
	window.returnValue=valorretorno;
	self.close();
}